1.4

1.4

get /v1/alerts

Description

Get list of Alerts

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Alert Name
Example : Alert Test
any of [string, null]None
queryactivated_yn
optional
Whether the Alert is activated or not
Example : Y
any of [enum (N, Y), null]None
querystates
optional
Alert State - NORMAL, ALERT, INSUFFICIENT_DATA
Example : NORMAL,ALERT
any of [string, null]None
querylevels
optional
Alert Level - HIGH, MIDDLE, LOW
Example : HIGH,MIDDLE
any of [string, null]None
queryfrom_last_policy_updated_at
optional
Alert Start Last Policy Updated Date Time
Example : 2026-04-01T00:00:00+09:00
any of [string (date-time), null]None
queryto_last_policy_updated_at
optional
Alert End Last Policy Updated Date Time
Example : 2026-04-30T23:59:59+09:00
any of [string (date-time), null]None
querynamespace_ids
optional
Comma-separated namespace IDs
Example : 1d9d05af5c624f2cb80a45f2c911e2f4,6b6c3239f0504e30b067fe9498be1681
any of [string, null]None
querynamespace_names
optional
Comma-separated namespace names
Example : Virtual Server,Internet Gateway
any of [string, null]None
querytype
optional
Alert Type
Example : METRIC_ALERT
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAlertsListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/alerts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"

Example HTTP response

Response 200

{
    "alerts": [
        {
            "activated_yn": "Y",
            "evaluation_time_window": 900,
            "id": "3234bd0f12fa4d0b97ab9feff6c09b8e",
            "last_policy_updated_at": "2026-06-24T10:14:52.700924",
            "level": "HIGH",
            "lower_bound": 80.0,
            "metric_name": "CPU Usage",
            "metric_unit": "BYTE",
            "name": "Alert Test",
            "namespace_name": "Virtual Server",
            "operator": "RANGE",
            "state": "NORMAL",
            "statistic": "AVG",
            "threshold": 80.0,
            "type": "METRIC_ALERT",
            "upper_bound": 90.0
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}